| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionManagerInterface Class Reference
Client-side proxies » Connection manager proxies

`#include <TelepathyQt/ConnectionManager>`

Inheritance diagram for Tp::Client::ConnectionManagerInterface:
[legend]

## Public Slots

QDBusPendingReply< Tp::ParamSpecList > | GetParameters (const QString &protocol, int timeout=-1)
QDBusPendingReply< QStringList > | ListProtocols (int timeout=-1)
QDBusPendingReply< QString, QDBusObjectPath > | RequestConnection (const QString &protocol, const QVariantMap &parameters, int timeout=-1)

## Signals

void | NewConnection (const QString &busName, const QDBusObjectPath &objectPath, const QString &protocol)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| ConnectionManagerInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionManagerInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionManagerInterface (Tp::DBusProxy *proxy)
Tp::PendingVariant * | requestPropertyProtocols () const
Tp::PendingVariant * | requestPropertyInterfaces () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.ConnectionManager".

## Constructor & Destructor Documentation

## § ConnectionManagerInterface() [1/3]

Tp::Client::ConnectionManagerInterface::ConnectionManagerInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionManagerInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionManagerInterface() [2/3]

Tp::Client::ConnectionManagerInterface::ConnectionManagerInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionManagerInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

## § ConnectionManagerInterface() [3/3]

Tp::Client::ConnectionManagerInterface::ConnectionManagerInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionManagerInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

## Member Function Documentation

## § staticInterfaceName()

static QLatin1String Tp::Client::ConnectionManagerInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.ConnectionManager", which this class represents.

Returns
  The D-Bus interface name.

## § requestPropertyProtocols()

Tp::PendingVariant* Tp::Client::ConnectionManagerInterface::requestPropertyProtocols | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Protocols` of type `Tp::ProtocolPropertiesMap`.

A map from protocol identifiers supported by this connection manager to the immutable properties of the corresponding ProtocolInterface objects.

Providing the immutable properties here means that when the API of Protocol objects has been finalized, most clients will only need one D-Bus round trip to interrogate the ConnectionManager about all its protocols.

If this map is empty or missing, clients SHOULD fall back to calling ListProtocols() and GetParameters() .

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestPropertyInterfaces()

Tp::PendingVariant* Tp::Client::ConnectionManagerInterface::requestPropertyInterfaces | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Interfaces` of type `QStringList`.

A list of the extra interfaces provided by this connection manager (i.e. extra functionality that can be provided even before a connection has been created).

No interfaces suitable for listing in this property are currently defined; it's provided as a hook for possible future functionality.

To be compatible with older connection managers, if retrieving this property fails, clients SHOULD assume that its value is an empty list.

Connection managers with a non-empty list of Interfaces MUST represent them in the `.manager` file, if they have one, as an `Interfaces` key in the group headed `[ConnectionManager]`, whose value is a list of strings each followed by a semicolon.

Returns
  A pending variant which will emit finished when the property has been retrieved.

## § requestAllProperties()

Tp::PendingVariantMap* Tp::Client::ConnectionManagerInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

## § GetParameters

QDBusPendingReply<Tp::ParamSpecList> Tp::Client::ConnectionManagerInterface::GetParameters | ( | const QString & | protocol,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `GetParameters` on the remote object.

Get a list of the parameters which may be specified in the Parameters of an Account (or, for specialised applications which do not use the account manager, passed to RequestConnection). Some parameters are mandatory, and some parameters only make sense when registering new accounts with the server; see the Param_Spec documentation for more details.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  protocol

      The required protocol name

  timeout | The timeout in milliseconds.

Returns

An array of structs representing possible parameters.

## § ListProtocols

QDBusPendingReply<QStringList> Tp::Client::ConnectionManagerInterface::ListProtocols | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `ListProtocols` on the remote object.

Get a list of protocol identifiers that are implemented by this connection manager.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

Returns

      The keys of the Protocols map.

## § RequestConnection

QDBusPendingReply<QString, QDBusObjectPath> Tp::Client::ConnectionManagerInterface::RequestConnection | ( | const QString & | protocol,
|  | const QVariantMap & | parameters,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `RequestConnection` on the remote object.

Request a ConnectionInterface object representing a given account on a given protocol with the given parameters. The method returns the bus name and the object path where the new Connection object can be found, which should have the status of Connection_Status_Disconnected, to allow signal handlers to be attached before connecting is started with the ConnectionInterface::Connect() method.

Most applications should not use this method: they should instead use the the AccountInterface::Connection property on an AccountInterface object obtained from the AccountManagerInterface . This method is used internally by the account manager to create connections when needed.

The parameters which must and may be provided in the parameters dictionary can be discovered with the GetParameters() method. These parameters, their types, and their default values may be cached in files so that all available connection managers do not need to be started to discover which protocols are available.

To request values for these parameters from the user, a client must have prior knowledge of the meaning of the parameter names, so the well-known names and types defined by the Connection_Parameter_Name type should be used where appropriate.

Connection manager authors SHOULD avoid introducing parameters whose default values would not be serializable in a `.manager` file.

The same serialization format is used in Mission Control to store accounts.

Every successful RequestConnection call will cause the emission of a NewConnection() signal for the same newly created connection. The requester can use the returned object path and service name independently of the emission of that signal. In that case this signal emission is most useful for, e.g. other processes that are monitoring the creation of new connections.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  protocol

      The protocol identifier

  parameters

      A dictionary mapping parameter names to values of the appropriate
      type, as indicated by GetParameters and the well-known list of
      names and value types documented on the Connection_Parameter_Name
      type.

  timeout | The timeout in milliseconds.

Returns

      A D-Bus service name where the new Connection object can be found

      The D-Bus object path to the Connection on this service

## § NewConnection

void Tp::Client::ConnectionManagerInterface::NewConnection | ( | const QString & | busName,
|  | const QDBusObjectPath & | objectPath,
|  | const QString & | protocol
| ) |  |

signal

Represents the signal `NewConnection` on the remote object.

Emitted when a new Connection object is created.

Parameters

  busName

      The D-Bus service where the connection object can be found

  objectPath

      The object path of the Connection object on this service

  protocol

      The identifier for the protocol this connection uses

## § invalidate()

void Tp::Client::ConnectionManagerInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.